namespace DocuMed.Repository.Repositories.Base.Contracts
{
    public interface IWriteRepository<T> where T : class, IApiEntity
    {
        void Add(T entity);
        void AddRange(IEnumerable<T> entities);
        void Delete(T entity);
        void HardDelete(T entity);
        void DeleteRange(IEnumerable<T> entities);
        void Update(T entity);
        void UpdateRange(IEnumerable<T> entities);
        void Detach(T entity);
        void Attach(T entity);
    }
}